HaruPage::setHorizontalScaling
HaruPage::setLineJoin
HaruPage
PHP Manual

# HaruPage::setLineCap

Set the shape to be used at the ends of lines

### Description

bool HaruPage::setLineCap ( int `$cap` )

Defines the shape to be used at the ends of lines.

### Parameters

`cap`

  Must be one of the following values:

  - `HaruPage::BUTT_END` - the line is squared off at the endpoint of the path.
  - `HaruPage::ROUND_END` - the end of the line becomes a semicircle with center in the end point of the path.
  - `HaruPage::PROJECTING_SCUARE_END` - the line continues to the point that exceeds half of the stroke width the end point.

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws a HaruException on error.

### See Also

- HaruPage::getLineCap